[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [WebExtensionAction](../index.md) / [UpdateWebExtensionAction](./index.md)

# UpdateWebExtensionAction

`data class UpdateWebExtensionAction : `[`WebExtensionAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L402)

Updates the given [updatedExtension](updated-extension.md) in the [BrowserState.extensions](../../../mozilla.components.browser.state.state/-browser-state/extensions.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `UpdateWebExtensionAction(updatedExtension: `[`WebExtensionState`](../../../mozilla.components.browser.state.state/-web-extension-state/index.md)`)`<br>Updates the given [updatedExtension](updated-extension.md) in the [BrowserState.extensions](../../../mozilla.components.browser.state.state/-browser-state/extensions.md). |

### Properties

| Name | Summary |
|---|---|
| [updatedExtension](updated-extension.md) | `val updatedExtension: `[`WebExtensionState`](../../../mozilla.components.browser.state.state/-web-extension-state/index.md) |
